---
title: "Unassign flows by CRM Prospect ID"
slug: "unassign-flows-by-crm-prospect-id-v2flowsprospectsunassign-flows-by-crm-id-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unassign flows by CRM Prospect ID  (/v2/flows/prospects/unassign-flows-by-crm-id)

Post/v2/flows/prospects/unassign-flows-by-crm-id

This endpoint lets you remove a specific prospect from the flows they are assigned to.

To remove the prospect from all flows they are assigned to, send the crmProspectId only.

If you want to remove the prospect from a specific flow, get the flow id from the /v2/flows/prospects endpoint and include the crmProspectId and flowId in the request.

The Ids of the flows the prospect was successfully removed from are returned in the response.

Required authorizaton scope: 'api:flows:write'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='d53f83b9-132d-441c-bc26-7720e32f384b'>application/json</option>
</select>object  

Unassign flows by CRM Prospect ID request.

crmProspectIdstring    Required

The CRM ID of the prospect to unassign.

Examplea5V1Q00A120DP4CVAW
flowIdstring    

The identifier of the flow to unassign the prospect from.

Example1695493301223590792
unassignedByUserEmailstring    

(Optional) The email address of the Gong user requesting to remove prospects from the flow instance. This is not the email of the prospect being removed from the flow.

Exampletest@test.com

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='b0feb1d0-f096-4246-99d7-dc6d3538a08e'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
unassignedFlowInstanceIds Array of string   

Set of flow instance ids prospects were successfully removed from.

Example[
  "234599484848423"
]string    

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='33901378-e351-4cd2-a488-3f712dd26211'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='b47078a7-7be7-42cb-a6fa-2818c1fe6f14'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='bdbf590b-11d1-4177-aee0-d407549d20ed'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='5fb19219-4bad-4a08-8a12-d04acd4c004f'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
